package dev.shadowsoffire.apotheosis.adventure.compat;

import java.util.function.Consumer;
import dev.shadowsoffire.apotheosis.util.CommonTooltipUtil;
import java.util.Objects;
import net.minecraft.world.entity.LivingEntity;
import mcjty.theoneprobe.api.IProbeHitEntityData;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.level.Level;
import net.minecraft.world.entity.player.Player;
import mcjty.theoneprobe.api.IProbeInfo;
import mcjty.theoneprobe.api.ProbeMode;
import dev.shadowsoffire.placebo.compat.TOPCompat;

public class AdventureTOPPlugin implements TOPCompat.Provider
{
    public static void register() {
        TOPCompat.registerProvider((TOPCompat.Provider)new AdventureTOPPlugin());
    }
    
    public void addProbeEntityInfo(final ProbeMode mode, final IProbeInfo info, final Player player, final Level level, final Entity entity, final IProbeHitEntityData hitData) {
        if (entity instanceof final LivingEntity living) {
            if (living.getPersistentData().m_128471_("apoth.boss")) {
                final Level 9236_ = living.m_9236_();
                final LivingEntity livingEntity = living;
                Objects.requireNonNull(info);
                CommonTooltipUtil.appendBossData(9236_, livingEntity, (Consumer)info::mcText);
            }
        }
    }
}
